export declare type Constructor<T> = new (...args: any[]) => T;
/**
 * Merge the default options to user input
 * @param def Default options
 * @param given User input
 * @returns Merged options
 */
export declare function mergeDefault<T extends {
    [key: string]: any;
}>(def: T, given: T): Required<T>;
/**
 * Wait for a specific amount of time (timeout)
 * @param ms Time to wait in milliseconds
 * @returns A promise that resolves in x seconds
 */
export declare function wait(ms: number): Promise<void>;
//# sourceMappingURL=Utils.d.ts.map