"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Connector = void 0;
const Constants_1 = require("../Constants");
const Utils_1 = require("../Utils");
class Connector {
    constructor(client) {
        this.client = client;
        this.manager = null;
    }
    set(manager) {
        this.manager = manager;
        return this;
    }
    ready(nodes) {
        this.manager.id = this.getId();
        this.manager.emit('debug', 'Manager', `[Manager] : Connecting ${nodes.length} nodes`);
        for (const node of nodes)
            this.manager.addNode((0, Utils_1.mergeDefault)(Constants_1.NodeDefaults, node));
    }
    raw(packet) {
        if (!['VOICE_STATE_UPDATE', 'VOICE_SERVER_UPDATE'].includes(packet.t))
            return;
        for (const node of this.manager.nodes.values())
            node.discordRaw(packet);
    }
}
exports.Connector = Connector;
//# sourceMappingURL=Connector.js.map