import { Node } from './Node';
/**
 * Represents a message queue
 * @internal
 */
export declare class Queue {
    /**
     * Node that initalized this message queue
     */
    private readonly node;
    /**
     * Pending messages
     */
    readonly pending: string[];
    /**
     * Number of flushes in this queue
     */
    private flushes;
    /**
     * @param node An instance of Node
     */
    constructor(node: Node);
    /**
     * Add data to queue
     * @param data Message data
     * @param important Priority status
     * @internal
     */
    add(data?: any, important?: boolean): void;
    /**
     * Clear the queue
     * @internal
     */
    clear(): void;
    /**
     * Flush the ws connections in queue
     * @param code Status code
     * @param reason Reason for close
     * @internal
     */
    flush(code: number, reason?: string): void;
    /**
     * Process messages in the queue
     * @internal
     */
    protected process(): void;
}
//# sourceMappingURL=Queue.d.ts.map